Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class CalloutNote.LineObject

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfArray>
          org.pdfclown.documents.interaction.annotations.CalloutNote.LineObject

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Enclosing class:
  CalloutNote

    public static class CalloutNote.LineObject

extends PdfObjectWrapper<PdfArray>

Callout line [PDF:1.6:8.4.5].

Constructor Summary
`CalloutNote.LineObject(Page page, Point2D start, Point2D end)`
`CalloutNote.LineObject(Page page, Point2D start, Point2D knee, Point2D end)`

Method Summary
`CalloutNote.LineObject` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Point2D` | `getEnd()`
`Point2D` | `getKnee()`
`Point2D` | `getStart()`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalloutNote.LineObject

    public CalloutNote.LineObject(Page page,
                                  Point2D start,
                                  Point2D end)

### CalloutNote.LineObject

    public CalloutNote.LineObject(Page page,
                                  Point2D start,
                                  Point2D knee,
                                  Point2D end)

Method Detail

### clone

    public CalloutNote.LineObject clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfArray>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getEnd

    public Point2D getEnd()

### getKnee

    public Point2D getKnee()

### getStart

    public Point2D getStart()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.